Package org.eclipse.lemminx.services

## Class ResolveCodeActionRequest

- java.lang.Object
- - org.eclipse.lemminx.services.ResolveCodeActionRequest

All Implemented Interfaces:
  `IBaseCodeActionRequest`, `ICodeActionResolverRequest`, `IComponentProvider`

    public class ResolveCodeActionRequest
    extends Object
    implements ICodeActionResolverRequest

Resolve code action request implementation.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`ResolveCodeActionRequest​(org.eclipse.lsp4j.CodeAction unresolved, DOMDocument document, IComponentProvider componentProvider, SharedSettings sharedSettings)`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> T` `getComponent​(Class clazz)` Returns the component class instance from the given class and null otherwise.
`String` `getDataProperty​(String property)` Returns the data property value of the given `fieldName` and null otherwise.
`DOMDocument` `getDocument()` Returns the DOM document.
`String` `getParticipantId()` Returns the participant ID `ICodeActionResolvesParticipant` which must resolve the unresolved code action.
`SharedSettings` `getSharedSettings()` Returns the shared settings.
`org.eclipse.lsp4j.CodeAction` `getUnresolved()` Returns the unresolved code action.
`XMLGenerator` `getXMLGenerator​(org.eclipse.lsp4j.Range range)` Returns the XML generator and null otherwise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.lemminx.services.extensions.codeaction.IBaseCodeActionRequest

`getDocument, getSharedSettings`

### Methods inherited from interface org.eclipse.lemminx.services.extensions.IComponentProvider

`getComponent`

### Constructor Detail

#### ResolveCodeActionRequest

    public ResolveCodeActionRequest​(org.eclipse.lsp4j.CodeAction unresolved,
                                    DOMDocument document,
                                    IComponentProvider componentProvider,
                                    SharedSettings sharedSettings)

### Method Detail

#### getUnresolved

    public org.eclipse.lsp4j.CodeAction getUnresolved()

Description copied from interface: `ICodeActionResolverRequest`
Returns the unresolved code action.

Specified by:
  `getUnresolved` in interface `ICodeActionResolverRequest`
Returns:
  the unresolved code action.

#### getParticipantId

    public String getParticipantId()

Description copied from interface: `ICodeActionResolverRequest`
Returns the participant ID `ICodeActionResolvesParticipant` which must resolve the unresolved code action.

Specified by:
  `getParticipantId` in interface `ICodeActionResolverRequest`
Returns:
  the participant ID `ICodeActionResolvesParticipant` which must resolve the unresolved code action.

#### getDataProperty

    public String getDataProperty​(String property)

Description copied from interface: `ICodeActionResolverRequest`
Returns the data property value of the given `fieldName` and null otherwise.

Specified by:
  `getDataProperty` in interface `ICodeActionResolverRequest`
Parameters:
  `property` - the field name.
Returns:
  the data property value of the given `fieldName` and null otherwise.

#### getXMLGenerator

    public XMLGenerator getXMLGenerator​(org.eclipse.lsp4j.Range range)
                                 throws BadLocationException

Description copied from interface: `ICodeActionResolverRequest`
Returns the XML generator and null otherwise.

Specified by:
  `getXMLGenerator` in interface `ICodeActionResolverRequest`
Parameters:
  `range` - the range of the Code Action
Returns:
  the XML generator and null otherwise.
Throws:
  `BadLocationException`

#### getComponent

    public <T> T getComponent​(Class clazz)

Description copied from interface: `IComponentProvider`
Returns the component class instance from the given class and null otherwise.

Specified by:
  `getComponent` in interface `IComponentProvider`
Parameters:
  `clazz` - class of the component.
Returns:
  the component class instance from the given class and null otherwise.

#### getDocument

    public DOMDocument getDocument()

Description copied from interface: `IBaseCodeActionRequest`
Returns the DOM document.

Specified by:
  `getDocument` in interface `IBaseCodeActionRequest`
Returns:
  the DOM document

#### getSharedSettings

    public SharedSettings getSharedSettings()

Description copied from interface: `IBaseCodeActionRequest`
Returns the shared settings.

Specified by:
  `getSharedSettings` in interface `IBaseCodeActionRequest`
Returns:
  the shared settings.